#!/usr/bin/env python3

import setuptools


# with open("README.md", "r") as fh:
	# long_description = fh.read()


setuptools.setup(
	name="mmmpd",
	version="1.0",
	author="Midgard",
	author_email="midgard@zeus.ugent.be",
	description="Create a “now playing” custom status in Mattermost. Depends on https://git.zeus.gent/midgard/mmcli being in your path as mmcli",
	# long_description=long_description,
	# long_description_content_type="text/markdown",

	url="https://git.zeus.gent/midgard/mmmpd",
	project_urls={
		"Source": "https://git.zeus.gent/midgard/mmmpd",
		"Bug tracker": "https://git.zeus.gent/midgard/mmmpd/-/issues",
	},

	classifiers=[
		"Programming Language :: Python :: 3",
		"License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
		"Operating System :: OS Independent",
		"Natural Language :: English",
		"Environment :: Console",

		# "Development Status :: 1 - Planning",
		#"Development Status :: 2 - Pre-Alpha",
		#"Development Status :: 3 - Alpha",
		#"Development Status :: 4 - Beta",
		#"Development Status :: 5 - Production/Stable",
		"Development Status :: 6 - Mature",
		# "Development Status :: 7 - Inactive",

		"Intended Audience :: End Users/Desktop",
		"Topic :: Utilities",
	],

	packages=setuptools.find_packages(),
	python_requires=">=3.6",
	install_requires=[
		"python-mpd2",
		# "mmcli @ git+https://git.zeus.gent/midgard/mmcli",
		"ipo"
	],
)
